package com.hai.service.impl;

import com.hai.dao.HighUserCouponMapper;
import com.hai.entity.HighUserCoupon;
import com.hai.entity.HighUserCouponExample;
import com.hai.service.HighUserCouponService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/3/27 16:10
 */
@Service("highUserCouponService")
public class HighUserCouponServiceImpl implements HighUserCouponService {

    @Resource
    private HighUserCouponMapper highUserCouponMapper;

    @Override
    public void insertUserCoupon(HighUserCoupon highUserCoupon) {
        highUserCouponMapper.insert(highUserCoupon);
    }

    @Override
    public void updateUserCoupon(HighUserCoupon highUserCoupon) {
        highUserCouponMapper.updateByPrimaryKey(highUserCoupon);
    }

    @Override
    public List<HighUserCoupon> getOverdueCoupon() {
        HighUserCouponExample example = new HighUserCouponExample();
        example.createCriteria().andStatusEqualTo(1).andUseEndTimeGreaterThanOrEqualTo(new Date());
        return highUserCouponMapper.selectByExample(example);
    }
}
